Upstream information

CVE-2009-3235 at MITRE

Description

Multiple stack-based buffer overflows in the Sieve plugin in Dovecot 1.0 before 1.0.4 and 1.1 before 1.1.7, as derived from Cyrus libsieve, allow context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted SIEVE script, as demonstrated by forwarding an e-mail message to a large number of recipients, a different vulnerability than CVE-2009-2632.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 539876 [RESOLVED / FIXED], 539877 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • cyrus-imapd >= 2.3.11-60.21.1
  • perl-Cyrus-IMAP >= 2.3.11-60.21.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.21.1
Patchnames:
slessp0-cyrus-imapd
SUSE Linux Enterprise Server 11 SP1
  • cyrus-imapd >= 2.3.11-60.21.1
  • perl-Cyrus-IMAP >= 2.3.11-60.21.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.21.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA cyrus-imapd
SUSE Linux Enterprise Server 11 SP2
  • cyrus-imapd >= 2.3.11-60.65.64.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.64.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.64.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA cyrus-imapd
SUSE Linux Enterprise Server 11 SP3
  • cyrus-imapd >= 2.3.11-60.65.64.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.64.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.64.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA cyrus-imapd
SUSE Linux Enterprise Server 11 SP4
  • cyrus-imapd >= 2.3.11-60.65.64.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.64.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.64.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA cyrus-imapd
SUSE Linux Enterprise Server 12
  • perl-Cyrus-IMAP >= 2.3.18-35.71
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-35.71
Patchnames:
SUSE Linux Enterprise Server 12 GA perl-Cyrus-IMAP
SUSE Linux Enterprise Server 12 SP1
  • perl-Cyrus-IMAP >= 2.3.18-35.71
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-35.71
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA perl-Cyrus-IMAP
SUSE Linux Enterprise Server for SAP Applications 11
  • cyrus-imapd >= 2.3.11-60.21.1
  • perl-Cyrus-IMAP >= 2.3.11-60.21.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.21.1
Patchnames:
slessp0-cyrus-imapd
SUSE Linux Enterprise Software Development Kit 11 SP4
  • cyrus-imapd-devel >= 2.3.11-60.65.64.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.64.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.64.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA cyrus-imapd-devel
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
  • perl-Cyrus-IMAP >= 2.2.3-83.42
  • perl-Cyrus-SIEVE-managesieve >= 2.2.3-83.42
sles9-nld.x86-64
core9.s390
core9.ia64
core9.ppc
sles9-nld.x86
core9.x86-64
core9.s390x
core9.x86
sles9-oes.x86
sles9-nlpos.x86
YOU Patch Nr: 12520
Open Enterprise Server
  • cyrus-imapd >= 2.2.3-83.42
  • cyrus-imapd-devel >= 2.2.3-83.42
  • perl-Cyrus-IMAP >= 2.2.3-83.42
  • perl-Cyrus-SIEVE-managesieve >= 2.2.3-83.42
sles9-nld.x86-64
core9.s390
core9.ia64
core9.ppc
sles9-nld.x86
core9.x86-64
core9.s390x
core9.x86
sles9-oes.x86
sles9-nlpos.x86
YOU Patch Nr: 12520
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • cyrus-imapd >= 2.2.12-27.14.2
  • cyrus-imapd-devel >= 2.2.12-27.14.2
  • perl-Cyrus-IMAP >= 2.2.12-27.14.2
  • perl-Cyrus-SIEVE-managesieve >= 2.2.12-27.14.2
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sles10-sp3-debuginfo.s390x
sles10-sp3-debuginfo.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.x86-64
sles10-sp3-debuginfo.ppc
sles10-sp3.ppc
sles10-sp3-debuginfo.x86
sles10-sp3.ia64
sles10-sp3-debuginfo.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86
sle10-sp3-sdk.ppc
sle10-sp3-sdk.s390x
ZYPP Patch Nr: 6521
openSUSE 11.0
  • dovecot-debuginfo >= 1.0.13-24.4
  • dovecot-debugsource >= 1.0.13-24.4
openSUSE 11.0
  • dovecot >= 1.0.13-24.4
  • dovecot-devel >= 1.0.13-24.4
openSUSE 11.1
  • dovecot11-debuginfo >= 1.1.7-1.4.1
  • dovecot11-debugsource >= 1.1.7-1.4.1
openSUSE 11.1
  • dovecot11 >= 1.1.7-1.4.1
  • dovecot11-backend-mysql >= 1.1.7-1.4.1
  • dovecot11-backend-pgsql >= 1.1.7-1.4.1
  • dovecot11-backend-sqlite >= 1.1.7-1.4.1
  • dovecot11-devel >= 1.1.7-1.4.1
  • dovecot11-fts-lucene >= 1.1.7-1.4.1
openSUSE 11.0
  • cyrus-imapd-debuginfo >= 2.3.11-31.4
  • cyrus-imapd-debugsource >= 2.3.11-31.4
openSUSE 11.0
  • cyrus-imapd >= 2.3.11-31.4
  • cyrus-imapd-devel >= 2.3.11-31.4
  • perl-Cyrus-IMAP >= 2.3.11-31.4
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-31.4
openSUSE 11.1
  • cyrus-imapd-debuginfo >= 2.3.11-60.21.1
  • cyrus-imapd-debugsource >= 2.3.11-60.21.1
openSUSE 11.1
  • cyrus-imapd >= 2.3.11-60.21.1
  • cyrus-imapd-devel >= 2.3.11-60.21.1
  • perl-Cyrus-IMAP >= 2.3.11-60.21.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.21.1
SUSE Linux Enterprise SDK 11 GA
  • cyrus-imapd-devel >= 2.3.11-60.21.1
  • perl-Cyrus-IMAP >= 2.3.11-60.21.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.21.1
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ia64
sles11.ia64
sles11.x86-64
sle11-debuginfo.ppc
sle11-sdk.x86
sle11-debuginfo.x86-64
sle11-debuginfo.x86
sles11.ppc
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
SAT Patch Nr: 1335
SUSE Linux Enterprise SDK 11 GA
  • cyrus-imapd-devel >= 2.3.11-60.21.1
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ia64
sles11.ia64
sles11.x86-64
sle11-debuginfo.ppc
sle11-sdk.x86
sle11-debuginfo.x86-64
sle11-debuginfo.x86
sles11.ppc
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
SAT Patch Nr: 1335
SUSE Linux Enterprise Server 11 GA
  • cyrus-imapd >= 2.3.11-60.21.1
  • perl-Cyrus-IMAP >= 2.3.11-60.21.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.21.1
sle11-debuginfo.s390x
sles11.x86
sle11-debuginfo.ia64
sles11.ia64
sles11.x86-64
sle11-debuginfo.ppc
sle11-sdk.x86
sle11-debuginfo.x86-64
sle11-debuginfo.x86
sles11.ppc
sle11-sdk.ia64
sle11-sdk.x86-64
sles11.s390x
sle11-sdk.ppc
sle11-sdk.s390x
SAT Patch Nr: 1335
SUSE Linux Enterprise SDK 10 SP2
  • cyrus-imapd >= 2.2.12-27.13.4
  • cyrus-imapd-devel >= 2.2.12-27.13.4
  • perl-Cyrus-IMAP >= 2.2.12-27.13.4
  • perl-Cyrus-SIEVE-managesieve >= 2.2.12-27.13.4
sle10-sp2-sdk.x86
sles10-sp2-debuginfo.ia64
sles10-sp2.s390x
sle10-sp2-sdk.ia64
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.s390x
sles10-sp2-debuginfo.s390x
sle10-sp2-sdk.x86-64
sles10-sp2.ia64
sles10-sp2.ppc
sle10-sp2-sdk.ppc
sles10-sp2-debuginfo.x86
sles10-sp2.x86
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86-64
ZYPP Patch Nr: 6509
openSUSE Leap 42.1
  • cyradm >= 2.4.18-1.2
  • cyrus-imapd >= 2.4.18-1.2
  • perl-Cyrus-IMAP >= 2.4.18-1.2
  • perl-Cyrus-SIEVE-managesieve >= 2.4.18-1.2
Patchnames:
openSUSE Leap 42.1 GA cyradm
openSUSE Leap 42.2
  • cyradm >= 2.4.18-3.6
  • cyrus-imapd >= 2.4.18-3.6
  • perl-Cyrus-IMAP >= 2.4.18-3.6
  • perl-Cyrus-SIEVE-managesieve >= 2.4.18-3.6
Patchnames:
openSUSE Leap 42.2 GA cyradm
openSUSE Leap 42.3
  • cyradm >= 2.4.18-5.2
  • cyrus-imapd >= 2.4.18-5.2
  • perl-Cyrus-IMAP >= 2.4.18-5.2
  • perl-Cyrus-SIEVE-managesieve >= 2.4.18-5.2
Patchnames:
openSUSE Leap 42.3 GA cyradm
openSUSE Tumbleweed
  • cyradm >= 2.4.18-3.4
  • cyrus-imapd >= 2.4.18-3.4
  • cyrus-imapd-devel >= 2.4.18-3.4
  • cyrus-imapd-snmp >= 2.4.18-3.4
  • cyrus-imapd-snmp-mibs >= 2.4.18-3.4
  • cyrus-imapd-utils >= 2.4.18-3.4
  • perl-Cyrus-IMAP >= 2.4.18-3.4
  • perl-Cyrus-SIEVE-managesieve >= 2.4.18-3.4
Patchnames:
openSUSE Tumbleweed GA cyradm


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 GA cyrus-imapd Released
SUSE Linux Enterprise SDK 11 SP1 cyrus-imapd Released
SUSE Linux Enterprise SDK 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise SDK 11 SP3 cyrus-imapd Released
SUSE Linux Enterprise SDK 11 SP4 cyrus-imapd Released
SUSE Linux Enterprise Server 10 SP3 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP1 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP1 LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP2 LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP3 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP3 LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP4 cyrus-imapd Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 cyrus-imapd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 cyrus-imapd Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 cyrus-imapd Released
SUSE Linux Enterprise Server for VMWare 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise Server for VMWare 11 SP3 cyrus-imapd Released